<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.pqs9900.mapper.DataInfo.MiddRunStateMapper">

<resultMap type="com.pqs9900.pojo.DataInfo.MiddRunState" id="MiddRunStateMapperMap" autoMapping="true">
	<id column="MIDD_INDEX" property="middIndex"/>
</resultMap>
<select id="getMiddRunState" resultMap="MiddRunStateMapperMap">
	select * from PQS_MIDDRUNSTATE where MIDD_INDEX =#{middIndex}
	AND TIMEID between #{startTime} and #{endTime}
</select>
</mapper>